Package: org.apache.groovy.json.internal

## [Java] Class ValueList

- org.apache.groovy.json.internal.ValueList

-     public class ValueList
      extends AbstractList

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ValueList(boolean lazyChop)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `add(Object obj)`
    `` | `public void` | `chopList()`
    `` | `public void` | `clear()`
    `` | `public Object` | `get(int index)`
    `` | `public Iterator<Object>` | `iterator()`
    `` | `public List<Object>` | `list()`
    `` | `public int` | `size()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractList` | `add, add, addAll, addAll, clear, contains, containsAll, equals, forEach, get, getClass, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, notify, notifyAll, parallelStream, remove, remove, removeAll, removeIf, replaceAll, retainAll, set, size, sort, spliterator, stream, subList, toArray, toArray, toArray, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ValueList(boolean lazyChop)

  - ### Method Detail

    - #### @Override
      public boolean add(Object obj)

    - #### public void chopList()

    - #### @Override
      public void clear()

    - #### @Override
      public Object get(int index)

    - #### @Override
      public Iterator<Object> iterator()

    - #### public List<Object> list()

    - #### @Override
      public int size()